Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{analysis_id}
/
reports
List analysis baseline reports
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{analysis_id}/reports \
  --header 'Authorization: <api-key>'
[
  {
    "id": "df2a3b6d-4f5c-47d2-92d4-8b17db3b9159",
    "analysis": "f41bcbf1-8f7a-46c1-baf3-18c9d1ff1234",
    "search_project_id": null,
    "status": "COMPLETED",
    "url": "https://docs.google.com/presentation/d/1abcXYZ123/view",
    "created_by": "e3c7a801-badf-45f2-9113-66a5e1239abc"
  },
  {
    "id": "aa7f3e12-51cd-48b2-b1a4-9949b6af2dd3",
    "analysis": "f41bcbf1-8f7a-46c1-baf3-18c9d1ff1234",
    "search_project_id": null,
    "status": "PENDING",
    "url": null,
    "created_by": "e3c7a801-badf-45f2-9113-66a5e1239abc"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

analysis_id
string<uuid>
required

A UUID string identifying the analysis.

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Response

200 - application/json

A list of baseline reports for the given analysis.

{key}
any